scala.collection.mutable
class HashMap

[source: `scala/collection/mutable/HashMap.scala`]

@serializable
`` `class` HashMap[A, B]
  `extends` HashTable[A]`with` DefaultMapModel[A, B]

Direct Known Subclasses:
  BytePickle.PicklerEnv, BytePickle.UnPicklerEnv

Values and Variables inherited from HashTable
loadFactorDenum, initialThreshold, table, tableSize, threshold

Method Summary
`def` | -= (key : A) : Unit Remove a key from this map, noop if key is not present.
`override def` | clear : Unit Removes all mappings from the map. After this operation is completed, the map is empty.
`override def` | clone : Map[A, B] Return a clone of this map.

Methods inherited from DefaultMapModel
get, update, elements

Methods inherited from HashTable
loadFactor, initialSize, size, findEntry, addEntry, removeEntry, entries, elemEquals, elemHashCode, improve, index

Methods inherited from Map
+=, +=, ++=, ++=, +, +, ++, ++, -=, --=, --=, -, removeKey, put, -, --, --, getOrElseUpdate, transform, retain, <<, +=, incl, excl

Methods inherited from Map
getOrElse, isEmpty, apply, contains, isDefinedAt, keys, keySet, values, equals, hashCode, toString, default, projection, filterKeys, mapElements, stringPrefix

Methods inherited from Collection
toArray

Methods inherited from Iterable
concat, ++, map, flatMap, filter, partition, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` -=(key : A) : Unit

  Remove a key from this map, noop if key is not present.

Parameters
  `key -` the key to be removed

`override` `def` clear : Unit

  Removes all mappings from the map. After this operation is completed, the map is empty.

Overrides
  HashTable.clear

`override` `def` clone : Map[A, B]

  Return a clone of this map.

Returns
  a map with the same elements.